package com.solution.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.solution.system.mapper.TemplateparameterdefMapper;
import com.solution.system.domain.Templateparameterdef;
import com.solution.system.service.ITemplateparameterdefService;

/**
 * 模板参数定义Service业务层处理
 * 
 * @author ruoyi
 * @date 2026-02-05
 */
@Service
public class TemplateparameterdefServiceImpl implements ITemplateparameterdefService 
{
    @Autowired
    private TemplateparameterdefMapper templateparameterdefMapper;

    /**
     * 查询模板参数定义
     * 
     * @param id 模板参数定义主键
     * @return 模板参数定义
     */
    @Override
    public Templateparameterdef selectTemplateparameterdefById(Long id)
    {
        return templateparameterdefMapper.selectTemplateparameterdefById(id);
    }

    /**
     * 查询模板参数定义列表
     * 
     * @param templateparameterdef 模板参数定义
     * @return 模板参数定义
     */
    @Override
    public List<Templateparameterdef> selectTemplateparameterdefList(Templateparameterdef templateparameterdef)
    {
        return templateparameterdefMapper.selectTemplateparameterdefList(templateparameterdef);
    }

    /**
     * 新增模板参数定义
     * 
     * @param templateparameterdef 模板参数定义
     * @return 结果
     */
    @Override
    public int insertTemplateparameterdef(Templateparameterdef templateparameterdef)
    {
        return templateparameterdefMapper.insertTemplateparameterdef(templateparameterdef);
    }

    /**
     * 修改模板参数定义
     * 
     * @param templateparameterdef 模板参数定义
     * @return 结果
     */
    @Override
    public int updateTemplateparameterdef(Templateparameterdef templateparameterdef)
    {
        return templateparameterdefMapper.updateTemplateparameterdef(templateparameterdef);
    }

    /**
     * 批量删除模板参数定义
     * 
     * @param ids 需要删除的模板参数定义主键
     * @return 结果
     */
    @Override
    public int deleteTemplateparameterdefByIds(Long[] ids)
    {
        return templateparameterdefMapper.deleteTemplateparameterdefByIds(ids);
    }

    /**
     * 删除模板参数定义信息
     * 
     * @param id 模板参数定义主键
     * @return 结果
     */
    @Override
    public int deleteTemplateparameterdefById(Long id)
    {
        return templateparameterdefMapper.deleteTemplateparameterdefById(id);
    }
}
